Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.shoppingadvisor
Interface Suggestion

All Known Implementing Classes:
  SuggestionImpl

public interface Suggestion
extends Belonging

                      matched
     [Suggestion] <*>------> [int]

                      score
     [Suggestion] <*>------> [int]

                      item
     [Suggestion] <>------> [theory.smart.ebusiness.item.Item]

See Also:
  `SuggestionHome`, `SuggestionImpl`

Method Summary
`Item` | `getItem()` Get the remote object reference of item
`ItemPk` | `getItemKey()`
`int` | `getMatched()` Get the value of matched
`int` | `getScore()` Get the value of score
`int` | `incrementMatched()` Increase the number of matched items by 1 and return the new count.
`int` | `incrementScore(int increment)` Increment the score by the specified value and return the new score.
`void` | `setItem(Item item)` Set the remote object reference of item
`void` | `setItemHandle(SmartHandle handle)`
`void` | `setMatched(int matched)` Set the value of matched
`void` | `setScore(int score)` Set the value of score

Methods inherited from interface theory.smart.foundation.Belonging
`equals, value`

Methods inherited from interface com.sun.java.util.collections.Comparable
`compareTo`

Method Detail

### getMatched

    public int getMatched()

  Get the value of matched
  Returns:
    matched.

### setMatched

    public void setMatched(int matched)

  Set the value of matched
  Parameters:
    `matcheds` - matched to be added

### getScore

    public int getScore()

  Get the value of score
  Returns:
    score.

### setScore

    public void setScore(int score)

  Set the value of score
  Parameters:
    `scores` - score to be added

### getItem

    public Item getItem()
                 throws java.rmi.RemoteException

  Get the remote object reference of item
  Returns:
    item.

### setItem

    public void setItem(Item item)
                 throws java.rmi.RemoteException

  Set the remote object reference of item
  Parameters:
    `items` - item to be added

### getItemKey

    public ItemPk getItemKey()
                      throws java.rmi.RemoteException

### setItemHandle

    public void setItemHandle(SmartHandle handle)
                       throws java.rmi.RemoteException

### incrementMatched

    public int incrementMatched()
                         throws java.rmi.RemoteException

  Increase the number of matched items by 1 and return the new count.

### incrementScore

    public int incrementScore(int increment)
                       throws java.rmi.RemoteException

  Increment the score by the specified value and return the new score.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.